import time
from lib.controller import *
from lib.motor import *
from lib.servo import *

def test_servo():
    print('servo')
    servo_up()
    servo_down()
    servo(350)
    print(get_s1_pos())


def test_motor_sync():
    print('motor sync')
    for count in range(4):
        forward_sync(20)
        turn_sync(90)
    for count2 in range(4):
        backward_sync(10)
        turn_sync(-90)
    turn_sync(360)
    stop_sync()


def test_motor_async():
    print('motor async')
    forward_async()
    time.sleep(1)
    backward_async()
    time.sleep(1)
    rotate_left_async()
    time.sleep(1)
    rotate_right_async()
    time.sleep(1)
    forward_m1_async()
    time.sleep(2)
    forward_m2_async()
    time.sleep(2)
    stop_async()


print('init program...')
init_calib_servo()
init_calib_motor()
print('set speed...')
set_speed(512)
print('test...')
test_servo()
test_motor_sync()
test_motor_async()
